ZD1000 firmware upgrade asks for premium support. Why?

  • 2
  • Question
  • Updated 3 years ago
  • Answered
I want to upgrade ZD1000 firmware to latest available upgrade (ZD1000 9.3.4.0.21 MR Software Release) This is the MR resolution for Ruckus Security Advisory ID 111113-1 and ID 111113-2

I am hoping this upgrade will fix the map view error on the ZD web interface.

However it states that premium support is required to activate the download. Why premium support???
Photo of William Aston

William Aston

  • 1 Post
  • 0 Reply Likes

Posted 4 years ago

  • 2
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 50 Reply Likes
If you open a support case (chat/phone) and explain you are looking for the security patch, they'll get it to you.

I do not believe this will fix the java issue for you as that codebase is only updated for security vulnerabilities and the fix for Java 7 did not appear until 9.5.
Photo of Douglas Miranda

Douglas Miranda

  • 2 Posts
  • 0 Reply Likes
How could I have the last firmware update to the ZoneDirector 1000?

I'm running this version: 9.1.0.0 build 38

Best Regards
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 50 Reply Likes
Hi Doug, we just decided to remove the Premium access requirement for the
ZD1100 since the product is no longer being updated.

ZoneFlex 9.3.4 is the last release the ZD1000 can run.

Enjoy.
Photo of Douglas Miranda

Douglas Miranda

  • 2 Posts
  • 0 Reply Likes
Hi Keith, How are you.

First of all, Thank you for the reply.

Can I upgrade my version directly? I mean, from 9.1.0.0 b38 to 9.3.4.0.17?

Muito Obrigado!
Doug
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 50 Reply Likes
You should be OK. For extra caution go to 9.1.2.0.8 first.
Photo of Khaqan Faridi

Khaqan Faridi

  • 4 Posts
  • 0 Reply Likes
Hello Keith.

I have a Guest account access level. I tried to download 9.3.4.0.17 for ZD1000 but it still asks for Premium account access.

Please advise.
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 50 Reply Likes
Photo of Khaqan Faridi

Khaqan Faridi

  • 4 Posts
  • 0 Reply Likes
Thanks Keith, it worked.
Photo of Michael Buchelly

Michael Buchelly

  • 1 Post
  • 0 Reply Likes
Hi Keith, How are you.

I want to upgrade the ZD1006 I click check for updates and it appear this:

Your current software version is 7.0.0.0 build 57. To see the access points that can be managed, click here

A new version is available. To download the latest software, click here

but I cant update anything from your page, the only firmware that i can download is the last one. ZD1000 9.3.4.0.21 MR Software Release

but the other one appears that I need premium support. Why?

I lost all the upgrades that were downloaded previously I got only these upgrades that i could recovered from a damaged hard drive:

zd1k_9.0.0.0.102.ap_9.0.0.0.102.img
zd1k_9.1.0.0.38.ap_9.1.0.0.38.img
zd1k_9.1.1.0.58.ap_9.1.1.0.58.img
zd1k_9.1.2.0.8.ap_9.1.2.0.8.img
zd1k_9.3.0.0.87.ap_9.3.0.0.87.img
zd1k_9.3.1.0.20.ap_9.3.1.0.20.img
zd1k_9.3.2.0.3.ap_9.3.2.0.3.img
zd1k_9.3.4.0.17.ap_9.3.4.0.17.img
zd1k_9.3.4.0.21.ap_9.3.4.0.21.img

i got nothing after version 9 and i not longer have the upgrade path also, how can i upgrade this zonedirector?

many thanks
Photo of Khaqan Faridi

Khaqan Faridi

  • 4 Posts
  • 0 Reply Likes
Hello Keith

My ZD1006 status light is green but blinking and when I plug in the patch cord to either of the ports they dont get active.....please help.
Photo of Monnat Systems

Monnat Systems, AlphaDog

  • 704 Posts
  • 150 Reply Likes
Hello Khaqan,

ZD1006 status light is green but blinking means that ZD is waiting to be configured.
If patch cord to either of the ports dont work then possible issue with ports. As a last resort and see if Hard Resetting the unit helps or not. Refer to ZD user guide for more.

PS: If it fails then its hardware fault. Contact support for hardware replacement if it is under warranty.
Photo of Monnat Systems

Monnat Systems, AlphaDog

  • 704 Posts
  • 150 Reply Likes
Hello Michael Buchelly,

As per discussion with Ruckus Field staff in my region, they are of the opinion that upgrade path from 7.1.0.0.57 shall be in this order and should work --> 7.1.0.0.57 --> 8.0.2.0.7 --> 8.1.1.0.12 --> 8.2.1.0.32 --> 8.2.2.0.7

Also usually it is highly advisable that sequence in which firmware is available on the support site shall be ok to be followed as upgrade path. In addition, refer to release notes and if still in doubt - talk to support folks.

i hope this helps.

PS: take ZD backup at every stage of upgrade.
Photo of Nikki Jones

Nikki Jones

  • 8 Posts
  • 0 Reply Likes
Please help. I have to upgrade my firmware currently 7.0.0.0 build 57 in order to manage a new AP. I realise that this is an old version but I've never had any problems with it but now find old old AP's are supported with this firmware. Can the firmware please be released for upgrade. I haven't got a premium account.
Thanks
Photo of Joey Yang

Joey Yang

  • 2 Posts
  • 1 Reply Like
I met the same issue with “Michael Buchelly” :I ca not update anything from your page, the only firmware that i can download is the last one. ZD1000 9.3.4.0.21 MR Software Release. but the other firmwares appears that I need premium support. Why? I haven't got a premium account. Pls. help.